// Rendezzük sorba

using System;
using System.Collections.Generic;

namespace rendezzuksorba
{
    public class Menet
    {
        public string ivaros { get; set; }
        public string idatum { get; set; }
        public string iidopont { get; set; }
        public string evaros { get; set; }
        public string eidopont { get; set; }
        public int tavolsag { get; set; }
        public double kihasznalt { get; set; }
        public bool potlo { get; set; }
    }

     class Hasonlit : IComparer<Menet>
    {
        public int Compare(Menet a, Menet b)
        {
            int datkul = a.idatum.CompareTo(b.idatum);
            if (datkul == 0)
                return a.iidopont.CompareTo(b.iidopont);
            else return datkul;
        }
    }
    class Program
    {
        static void Main(string[] args)
        {
            string[] sorok = System.IO.File.ReadAllLines("menetrend.txt");
            List<Menet> adatok = new List<Menet>();
            for (int i=1; i<sorok.Length; ++i) // az első sort kihagyjuk
            {
                if (sorok[i].Length > 0) {
                    string[] sor = sorok[i].Split('\t');
                    Menet m = new Menet();
                    m.ivaros = sor[0];
                    m.idatum = sor[1];
                    m.iidopont = sor[2];
                    m.evaros = sor[3];
                    m.eidopont = sor[4];
                    m.tavolsag = Convert.ToInt32(sor[5]);
                    m.kihasznalt = Convert.ToDouble(sor[6]);
                    if (sor[7] == "N") m.potlo = false;
                    else m.potlo = true;
                    adatok.Add(m);
                }
            }
            for (int i = 0; i < adatok.Count; ++i) {
                Console.WriteLine(adatok[i].ivaros + '\t' + adatok[i].idatum + '\t' + adatok[i].iidopont + '\t' +
                                  adatok[i].evaros + '\t' + adatok[i].eidopont + '\t' +
                                  adatok[i].tavolsag.ToString() + '\t' + adatok[i].kihasznalt.ToString() + '\t' +
                                  adatok[i].potlo.ToString() );
            }
            Hasonlit hasonlit = new Hasonlit();
            adatok.Sort(hasonlit);
            for (int i = 0; i < adatok.Count; ++i)
            {
                Console.WriteLine(adatok[i].ivaros + '\t' + adatok[i].idatum + '\t' + adatok[i].iidopont + '\t' +
                                  adatok[i].evaros + '\t' + adatok[i].eidopont + '\t' +
                                  adatok[i].tavolsag.ToString() + '\t' + adatok[i].kihasznalt.ToString() + '\t' +
                                  adatok[i].potlo.ToString());
            }

        }
    }
}
